package org.lwjglx;

import static org.lwjgl.system.glfw.GLFW.glfwInit;

import org.lwjgl.opengl.GL11;
import org.lwjgl.system.glfw.GLFW;

public class Sys {
	
	static {
		if ( glfwInit() != GL11.GL_TRUE )
			throw new IllegalStateException("Unable to initialize glfw");
	}

	/** Returns the LWJGL version. */
	public static String getVersion() {
		return org.lwjgl.Sys.getVersion();
	}
	
	/**
	 * Obtains the number of ticks that the hires timer does in a second. This method is fast;
	 * it should be called as frequently as possible, as it recalibrates the timer.
	 *
	 * @return timer resolution in ticks per second or 0 if no timer is present.
	 */
	public static long getTimerResolution() {
		return 1000;
	}

	/**
	 * Gets the current value of the hires timer, in ticks. When the Sys class is first loaded
	 * the hires timer is reset to 0. If no hires timer is present then this method will always
	 * return 0.<p><strong>NOTEZ BIEN</strong> that the hires timer WILL wrap around.
	 *
	 * @return the current hires time, in ticks (always >= 0)
	 */
	public static long getTime() {
		return (long) (GLFW.glfwGetTime() * 1000);
	}
}
